@import url("nav.css");

body {
    font-family: Open Sans,sans-serif;
    background-color: white;
    color: #333;
    font-weight: 300;
    font-size: 14px;
    margin: 0;

    --menu-background: #eee;
    --menu-color: #000;
}

div.container {
    position: relative;
    height: 100vh;
    max-width: 1200px;
    margin: 0 auto;
    background-color: white;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
}

header {
    flex: 0;
    display: flex;
    flex-direction: column;
    >img {
        width: 100%;
    }

    .menu {
        background-color: var(--menu-background);
        color: var(--menu-color);
        display: flex;
        justify-content: space-between;
    }

    .contact {
        margin-left: 5px;
        font-size: 8pt;
        padding: 5px 10px;

        span {
            padding-right: 5px;

            img {
                width: 0.8em;
                height: 0.8em;
            }
        }

        a {
            text-decoration: none;
            color: inherit;
        }
    }
}

main {
    flex: 1;
    overflow-y: auto;
    padding: 5px 10px;
    .two-columns {
        display: flex;
        >div:first-child {
            flex: 1;
        }
        >div:last-child {
            flex: 0;
        }
    }
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-family: inherit;
    font-weight: 500;
    line-height: 1.1;
    color: #009237;
}

footer {
    flex: 0;
    font-size: smaller;
    background-color: var(--menu-background);
    color: var(--menu-color);
    text-align: center;
    padding: 5px 0;
    width: 100%;
}

blockquote {
    padding: 10px 20px;
    margin: 0 0 20px;
    font-size: 17.5px;
    border-left: 5px solid #009237;
    >p {
        margin: 0;
        text-align: center;
    }
}

.gallery {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-left: 10px;
    img {
        width: 125px;
        height: 125px;
        padding: 3px;
        cursor: pointer;
    }
}
@media screen and (max-width: 768px) {
    main {
        .two-columns {
            display: block;
        }
    }
    .gallery {
        margin-left: 0;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        min-width: inherit;
    }
}
@media screen and (min-width: 769px) and (max-width: 900px) {
    .gallery {
        grid-template-columns: 1fr;
        min-width: inherit;
    }
}

#imgDialog {
    max-width: 80vw;
    max-height: 80vh;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    img {
        max-width: 80vw; 
        max-height: 80vh;
    }
}
